package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfDaPfPara;
import com.ruoyi.predict.mapper.WfDaPfParaMapper;
import com.ruoyi.predict.service.IWfDaPfParaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * WfDaPfParaService业务层处理
 *
 * @author hlf
 * @date 2021-07-07
 */
@Service
public class WfDaPfParaServiceImpl implements IWfDaPfParaService {
    @Autowired(required = false)
    private WfDaPfParaMapper wfDaPfParaMapper;

    /**
     * 查询WfDaPfPara
     *
     * @param windplantNo WfDaPfParaID
     * @return WfDaPfPara
     */
    @Override
    public WfDaPfPara selectWfDaPfParaById(Long windplantNo, Long modelNo) {
        return wfDaPfParaMapper.selectWfDaPfParaById(windplantNo, modelNo);
    }

    /**
     * 查询WfDaPfPara列表
     *
     * @param wfDaPfPara WfDaPfPara
     * @return WfDaPfPara
     */
    @Override
    public List<WfDaPfPara> selectWfDaPfParaList(WfDaPfPara wfDaPfPara) {
        return wfDaPfParaMapper.selectWfDaPfParaList(wfDaPfPara);
    }

    /**
     * 新增WfDaPfPara
     *
     * @param wfDaPfPara WfDaPfPara
     * @return 结果
     */
    @Override
    public int insertWfDaPfPara(WfDaPfPara wfDaPfPara) {
        return wfDaPfParaMapper.insertWfDaPfPara(wfDaPfPara);
    }

    /**
     * 修改WfDaPfPara
     *
     * @param wfDaPfPara WfDaPfPara
     * @return 结果
     */
    @Override
    public int updateWfDaPfPara(WfDaPfPara wfDaPfPara) {
        return wfDaPfParaMapper.updateWfDaPfPara(wfDaPfPara);
    }

    /**
     * 删除WfDaPfPara信息
     *
     * @param windplantNo WfDaPfParaID
     * @return 结果
     */
    @Override
    public int deleteWfDaPfParaById(Long windplantNo, Long modelNo) {
        return wfDaPfParaMapper.deleteWfDaPfParaById(windplantNo, modelNo);
    }
}
